const n = require("fs").readFileSync(0, "utf-8").toString().split("\n");
let flag = true;
let i = 0;
do{
    let [a,b] = n[i].split(" ").map(Number);
    if (a!=0 && b!=0) console.log(a+b);
    else flag = false;
    i++;
}while(flag);